%define upstream_name    Devel-LeakGuard-Object
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Scoped object leak checking
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(latest)
BuildArch: noarch


%description
This module provides tracking of objects, for the purpose of detecting
memory leaks due to circular references or inappropriate caching schemes.

It is derived from, and backwards compatible with Adam Kennedy's
Devel::Leak::Object. Any errors are mine.

It works by overriding 'bless' and adding a synthetic 'DESTROY' method to
any tracked classes so that it can maintain a count of blessed objects
per-class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE README.md META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.80.0-6.mga9
+ Revision: 1817116
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-5.mga8
+ Revision: 1493985
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-4.mga7
+ Revision: 1267260
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1025516
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 969998
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 884531
- update to 0.08

* Sun Sep 06 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 873480
- update to 0.07

* Sun Oct 19 2014 umeabot <umeabot> 0.60.0-7.mga5
+ Revision: 788746
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 746492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 684321
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-4.mga4
+ Revision: 510757
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-3.mga3
+ Revision: 365779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 0.60.0-2.mga3
+ Revision: 326443
- accomodate recent Carp.pm (rt#75381)

* Sat Jan 22 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 31923
- mageia rebuild
- imported package perl-Devel-LeakGuard-Object

